All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class RemoteFileButtonPanel

    com.sas.swing.visuals.remotefileselector.RemoteFileButtonPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class RemoteFileButtonPanel

implements java.beans.PropertyChangeListener

Panel that displays the directory combobox and action toolbar for the RemoteFileSelector component.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`protected javax.swing.JComboBox` | `directorySelection` The directory selection component
`protected javax.swing.JToolBar` | `toolBar` The toolbar component

Constructor Summary
`RemoteFileButtonPanel(javax.swing.JComponent parentComponent)` Constructor.

Method Summary
`protected void` | `populateToolbar(javax.swing.JToolBar toolBar)` Populates the toolbar component.
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Listens for properties path and viewType to be changed.
`void` | `setRemoteFileViewComponent(RemoteFileComponentInterface component)` Sets the panel so that it can communicate with the component parameter.
`void` | `setToolTipText(javax.swing.JComponent component, java.lang.String text)` Registers the text to display in a tool tip.

Field Detail

### toolBar

    protected javax.swing.JToolBar toolBar

  The toolbar component

### directorySelection

    protected javax.swing.JComboBox directorySelection

  The directory selection component

Constructor Detail

### RemoteFileButtonPanel

    public RemoteFileButtonPanel(javax.swing.JComponent parentComponent)

  Constructor. Creates the toolbar and combobox components.

  Parameters:
    `parentComponent` - the component that is creating this panel

Method Detail

### setRemoteFileViewComponent

    public void setRemoteFileViewComponent(RemoteFileComponentInterface component)

  Sets the panel so that it can communicate with the component parameter.

  Parameters:
    `component` - the component that will be linked to the panel

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Listens for properties path and viewType to be changed. Reinitializes the combobox and toolbar based on changes to these properties

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `e` - the PropertyChangeEvent

### setToolTipText

    public void setToolTipText(javax.swing.JComponent component,
                               java.lang.String text)

  Registers the text to display in a tool tip. The text displays when the cursor lingers over the BaseDualSelector for a set time period.

  Parameters:
    `component` - the component for which tool tip text is being changed
    `text` - the string to display; if the text is null, the tool tip is turned off for this component

### populateToolbar

    protected void populateToolbar(javax.swing.JToolBar toolBar)

  Populates the toolbar component. Retrieves the actions from the ActionProviderFramework.

  Parameters:
    `toolBar` - the toolbar component to be populated

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.